package com.adventurer_engine.network.server2client;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import atv;
import com.adventurer_engine.client.model.rc.RCsAnimationManager;
import com.adventurer_engine.common.entity.neo_npc.AnimationController;
import com.adventurer_engine.common.entity.neo_npc.EntityRCsNPCBase;
import com.adventurer_engine.network.RCsPacket;
import com.google.common.io.ByteArrayDataInput;
import com.google.common.io.ByteArrayDataOutput;
import cpw.mods.fml.relauncher.Side;
import java.io.IOException;
import nn;
import uf;

public class NPCAnimationPacket extends RCsPacket {
  private String animationName;
  
  private int entityId;
  
  public NPCAnimationPacket(String animationName, int entityId) {
    this.animationName = animationName;
    this.entityId = entityId;
  }
  
  public NPCAnimationPacket() {}
  
  public void write(ByteArrayDataOutput out) throws IOException {
    out.writeUTF(this.animationName);
    out.writeInt(this.entityId);
  }
  
  public void read(ByteArrayDataInput in) throws IOException {
    this.animationName = in.readUTF();
    this.entityId = in.readInt();
  }
  
  public void execute(uf player, Side side) throws RCsPacket.ProtocolException {
    if (side.isServer())
      return; 
    nn entity = (atv.w()).f.a(this.entityId);
    if (!(entity instanceof EntityRCsNPCBase))
      return; 
    EntityRCsNPCBase npc = (EntityRCsNPCBase)entity;
    if (npc.animation == null)
      npc.animation = (AnimationController)new RCsAnimationManager(); 
    npc.setAnimation(this.animationName);
  }
}
